Bug 852061 - [RHEVM] [backend] [Setup Host Networks] it is possible to assign same IP on two interfaces for same host if one IP is assigned by DHCP
[RHEVM] [backend] [Setup Host Networks] it is possible to assign same IP on t...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 09:21 EDT by Martin Pavlik
Modified: 2016-02-10 14:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 06:49:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (241.11 KB, application/x-gzip)
2012-08-27 09:21 EDT, Martin Pavlik
no flags Details
screenshot 1 (224.68 KB, image/png)
2012-08-27 09:21 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-08-27 09:21:34 EDT
Created attachment 607202 [details]
vdsm.log + engine.log

Description of problem:
It is possible to assign the same IP on two interfaces for the same host if one IP is assigned by DHCP

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-13.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1. Add host to setup with rhevm interface set to get IP from DHCP
2. Add one logical network, assign the network to cluster
3. Assign the network to host and configure it with same static IP as was assigned to rhevm interface by DHCP
  
Actual results:
It is possible to assign the same IP on two interfaces for the same host if one IP is assigned by DHCP

Expected results:
It shouldn`t be possible to have duplicate IPs on host

Additional info:
This bug is similar to https://bugzilla.redhat.com/show_bug.cgi?id=839199


[root@dell-r210ii-07 ~]# cat /etc/sysconfig/network-scripts/ifcfg-rhevm
DEVICE=rhevm
ONBOOT=yes
TYPE=Bridge
DELAY=0
BOOTPROTO=dhcp
NM_CONTROLLED=no
STP=no
[root@dell-r210ii-07 ~]# cat /etc/sysconfig/network-scripts/ifcfg-NET
cat: /etc/sysconfig/network-scripts/ifcfg-NET: No such file or directory


[root@dell-r210ii-07 ~]# cat /etc/sysconfig/network-scripts/ifcfg-NET1
DEVICE=NET1
ONBOOT=yes
TYPE=Bridge
DELAY=0
IPADDR=10.34.66.71
NETMASK=255.255.255.0
BOOTPROTO=none
NM_CONTROLLED=no
STP=no



[root@dell-r210ii-07 ~]# ip a l rhevm
12: rhevm: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether d0:67:e5:f0:82:44 brd ff:ff:ff:ff:ff:ff
    inet 10.34.66.71/24 brd 10.34.66.255 scope global rhevm
    inet6 fe80::d267:e5ff:fef0:8244/64 scope link 
       valid_lft forever preferred_lft forever
[root@dell-r210ii-07 ~]# ip a l NET1
35: NET1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether d0:67:e5:f0:82:45 brd ff:ff:ff:ff:ff:ff
    inet 10.34.66.71/24 brd 10.34.66.255 scope global NET1
    inet6 fe80::d267:e5ff:fef0:8245/64 scope link 
       valid_lft forever preferred_lft forever



Thread-213172::DEBUG::2012-08-27 15:03:23,753::BindingXMLRPC::870::vds::(wrapper) return getCapabilities with {'status': {'message': 'Done', 'code': 0}, 'info': {'HBAInventory': {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:14435b70cb97'}], 'FC': []}, 'packages2': {'kernel': {'release': '279.5.1.el6.x86_64', 'buildtime': 1343131055.0, 'version': '2.6.32'}, 'spice-server': {'release': '10.el6', 'buildtime': '1337611492', 'version': '0.10.1'}, 'vdsm': {'release': '30.0.el6_3', 'buildtime': '1345637058', 'version': '4.9.6'}, 'qemu-kvm': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}, 'libvirt': {'release': '21.el6_3.4', 'buildtime': '1345003094', 'version': '0.9.10'}, 'qemu-img': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}}, 'cpuModel': 'Intel(R) Xeon(R) CPU E31240 @ 3.30GHz', 'hooks': {}, 'vmTypes': ['kvm'], 'supportedProtocols': ['2.2', '2.3'], 'networks': {'rhevm': {'iface': 'rhevm', 'addr': '10.34.66.71', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'BOOTPROTO': 'dhcp', 'STP': 'no', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.34.66.254', 'ports': ['em1']}, 'NET2': {'iface': 'NET2', 'addr': '', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'NET2', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'stp': 'off', 'bridged': True, 'gateway': '0.0.0.0', 'ports': ['p1p1']}, 'NET1': {'iface': 'NET1', 'addr': '10.34.66.71', 'cfg': {'IPADDR': '10.34.66.71', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'STP': 'no', 'DEVICE': 'NET1', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '0.0.0.0', 'ports': ['em2']}}, 'bridges': {'rhevm': {'addr': '10.34.66.71', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'BOOTPROTO': 'dhcp', 'STP': 'no', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['em1']}, 'NET2': {'addr': '', 'cfg': {'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'NET2', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'stp': 'off', 'ports': ['p1p1']}, 'NET1': {'addr': '10.34.66.71', 'cfg': {'IPADDR': '10.34.66.71', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'STP': 'no', 'DEVICE': 'NET1', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['em2']}}, 'uuid': '4C4C4544-0037-5410-8033-C3C04F39354A_90:E2:BA:04:29:88', 'lastClientIface': 'rhevm', 'nics': {'em1': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'NM_CONTROLLED': 'no', 'HWADDR': 'D0:67:E5:F0:82:44', 'BOOTPROTO': 'dhcp', 'STP': 'no', 'DEVICE': 'em1', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': 'D0:67:E5:F0:82:44', 'speed': 1000}, 'em2': {'addr': '', 'cfg': {'BRIDGE': 'NET1', 'NM_CONTROLLED': 'no', 'HWADDR': 'D0:67:E5:F0:82:45', 'STP': 'no', 'DEVICE': 'em2', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': 'D0:67:E5:F0:82:45', 'speed': 1000}, 'p1p1': {'addr': '', 'cfg': {'BRIDGE': 'NET2', 'NM_CONTROLLED': 'no', 'HWADDR': '90:E2:BA:04:29:88', 'STP': 'no', 'DEVICE': 'p1p1', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:E2:BA:04:29:88', 'speed': 1000}, 'p1p2': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:E2:BA:04:29:89', 'speed': 0}}, 'software_revision': '30.0', 'management_ip': '', 'clusterLevels': ['3.0', '3.1'], 'cpuFlags': u'fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,rdtscp,lm,constant_tsc,arch_perfmon,pebs,bts,rep_good,xtopology,nonstop_tsc,aperfmperf,pni,pclmulqdq,dtes64,monitor,ds_cpl,vmx,smx,est,tm2,ssse3,cx16,xtpr,pdcm,sse4_1,sse4_2,x2apic,popcnt,aes,xsave,avx,lahf_lm,ida,arat,epb,xsaveopt,pln,pts,dts,tpr_shadow,vnmi,flexpriority,ept,vpid,model_Nehalem,model_Conroe,model_Penryn,model_Westmere,model_SandyBridge', 'ISCSIInitiatorName': 'iqn.1994-05.com.redhat:14435b70cb97', 'netConfigDirty': 'True', 'memSize': '7862', 'reservedMem': '321', 'bondings': {'bond4': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond0': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond1': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond2': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond3': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}, 'software_version': '4.9', 'cpuSpeed': '3292.525', 'cpuSockets': '1', 'vlans': {}, 'cpuCores': '4', 'kvmEnabled': 'true', 'guestOverhead': '65', 'supportedRHEVMs': ['3.0', '3.1'], 'version_name': 'Snow Man', 'emulatedMachines': [u'rhel6.3.0', u'pc', u'rhel6.2.0', u'rhel6.1.0', u'rhel6.0.0', u'rhel5.5.0', u'rhel5.4.4', u'rhel5.4.0'], 'operatingSystem': {'release': '6.3.0.3.el6', 'version': '6Server', 'name': 'RHEL'}, 'lastClient': '10.34.63.65'}}
Comment 1 Martin Pavlik 2012-08-27 09:21:54 EDT
Created attachment 607203 [details]
screenshot 1

Note You need to log in before you can comment on or make changes to this bug.